;;;
; $Id: choicdlg.lsp,v 1.5 1995/12/20 03:49:51 kirila Exp $
;;;
;;;    choicdlg.lsp
;;;    
;;;    Copyright (C) 1995, 1996 by Autodesk, Inc.
;;;    
;;;    Permission to use, copy, modify, and distribute this software 
;;;    for any purpose and without fee is hereby granted, provided
;;;    that the above copyright notice appears in all copies and 
;;;    that both that copyright notice and the limited warranty and 
;;;    restricted rights notice below appear in all supporting 
;;;    documentation.
;;;    
;;;    AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.  
;;;    AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF 
;;;    MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC. 
;;;    DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE 
;;;    UNINTERRUPTED OR ERROR FREE.
;;;    
;;;    Use, duplication, or disclosure by the U.S. Government is subject to 
;;;    restrictions set forth in FAR 52.227-19 (Commercial Computer 
;;;    Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii) 
;;;    (Rights in Technical Data and Computer Software), as applicable. 
;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;	This dialog program request topic of sample to execute
;;;
;;;	TOPICS:
;;;
;;;   1. CONNECT WITH SQL ENVIRONMENT
;;;   2. DISCONNECT FROM SQL ENVIRONMENT
;;;   3. RUN SQL REQUEST EDITOR
;;;   4. RUN SQL DIAGNOSTIC
;;;   5. EXIT FROM SQL SAMPLES

(defun choice-dialog ( msg-choice-report  / retval)
   (if (not (new_dialog "choice_dialog" DCL-ID))	; Initialize the dialog
	(exit))						; exit if this doesn't work

   (action_tile
	"ID_BUTT_CONN"
	"(setq retval 'DO-CONNECT) (done_dialog)"
   )

   (action_tile
	"ID_BUTT_SQLED"
	"(setq retval 'DO-SQLEDIT) (done_dialog)"
   )

   (action_tile
	"ID_BUTT_DISCONN"
	"(setq retval 'DO-DISCONNECT) (done_dialog)"
   )

   (action_tile
	"ID_BUTT_ASIDIAG"
	"(setq retval 'DO-ERRMSG) (done_dialog)"
   )

   (action_tile
	"cancel"
	"(setq retval 'EXIT) (done_dialog)"
   )

   (set_tile "ID_CHOICE_RESULT" msg-choice-report)
   (start_dialog)		; Display the dialog box

   retval
)

