;;;
; $Id: msgdlg.lsp,v 1.5 1995/12/20 03:49:58 kirila Exp $
;;;
;;;    msgdlg.lsp
;;;    
;;;    Copyright (C) 1995, 1996 by Autodesk, Inc.
;;;    
;;;    Permission to use, copy, modify, and distribute this software 
;;;    for any purpose and without fee is hereby granted, provided
;;;    that the above copyright notice appears in all copies and 
;;;    that both that copyright notice and the limited warranty and 
;;;    restricted rights notice below appear in all supporting 
;;;    documentation.
;;;    
;;;    AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.  
;;;    AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF 
;;;    MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC. 
;;;    DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE 
;;;    UNINTERRUPTED OR ERROR FREE.
;;;    
;;;    Use, duplication, or disclosure by the U.S. Government is subject to 
;;;    restrictions set forth in FAR 52.227-19 (Commercial Computer 
;;;    Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii) 
;;;    (Rights in Technical Data and Computer Software), as applicable. 
;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;	This file provide two dialog program: for current messages
;;;	and YES/NO quesions 
;;;
;;;
(defun msg-dialog ( msg )

   (if (not (new_dialog "msg_dialog" DCL-ID))		; Initialize the dialog
	(exit))						; exit if this doesn't work

   (set_tile "name1_msg" msg)

   (action_tile
	"accept"
	"(setq retval 'ACCEPT) (done_dialog)"
   )

   (start_dialog)		; Display the dialog box
)

(defun question-dialog ( msg / retval )

   (if (not (new_dialog "question_dialog" DCL-ID))	; Initialize the dialog
	(exit))						; exit if this doesn't work

   (set_tile "name1_quest" msg)

   (setq retval nil)
   (action_tile
	"accept"
	"(setq retval 'ACCEPT) (done_dialog)"
   )
   (action_tile
	"cancel"
	"(setq retval 'CANCEL) (done_dialog)"
   )

   (start_dialog)		; Display the dialogue box

   retval
)