;;;
; $Id: userndlg.lsp,v 1.5 1995/12/20 03:50:02 kirila Exp $
;;;
;;;    userndlg.lsp
;;;    
;;;    Copyright (C) 1995, 1996 by Autodesk, Inc.
;;;    
;;;    Permission to use, copy, modify, and distribute this software 
;;;    for any purpose and without fee is hereby granted, provided
;;;    that the above copyright notice appears in all copies and 
;;;    that both that copyright notice and the limited warranty and 
;;;    restricted rights notice below appear in all supporting 
;;;    documentation.
;;;    
;;;    AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.  
;;;    AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF 
;;;    MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC. 
;;;    DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE 
;;;    UNINTERRUPTED OR ERROR FREE.
;;;    
;;;    Use, duplication, or disclosure by the U.S. Government is subject to 
;;;    restrictions set forth in FAR 52.227-19 (Commercial Computer 
;;;    Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii) 
;;;    (Rights in Technical Data and Computer Software), as applicable. 
;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;	The dialog program, which request the user name/password for connection with SQL environment
;;;

(defun usern-dialog (  / usern passw)
   (if (not (new_dialog "usern_dialog" DCL-ID))	; Initialize the dialog
	(exit))						; exit if this doesn't work

   (setq usern ""	; init username, password
         passw "")

   (action_tile
	"do-username"
	"(setq usern $value)"
   )

   (action_tile
	"do-password"
	"(setq passw $value)"
   )

   (action_tile
	"accept"
	"(set_tile \"ID_MSG_ENVS\" MSG_PLEASE_WAIT)(done_dialog)"
   )

   (start_dialog)		; Display the dialogue box

   (list usern passw)
)
