;;;
; $Id: conndlg.lsp,v 1.5 1995/12/20 03:49:53 kirila Exp $
;;;
;;;    conndlg.lsp
;;;    
;;;    Copyright (C) 1995, 1996 by Autodesk, Inc.
;;;    
;;;    Permission to use, copy, modify, and distribute this software 
;;;    for any purpose and without fee is hereby granted, provided
;;;    that the above copyright notice appears in all copies and 
;;;    that both that copyright notice and the limited warranty and 
;;;    restricted rights notice below appear in all supporting 
;;;    documentation.
;;;    
;;;    AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.  
;;;    AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF 
;;;    MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC. 
;;;    DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE 
;;;    UNINTERRUPTED OR ERROR FREE.
;;;    
;;;    Use, duplication, or disclosure by the U.S. Government is subject to 
;;;    restrictions set forth in FAR 52.227-19 (Commercial Computer 
;;;    Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii) 
;;;    (Rights in Technical Data and Computer Software), as applicable. 
;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;	This program create Connection Report message:
;;;
;;;	1. The DBMS name
;;;	2. The SQL realization
;;;	3. The message from the DBMS
;;;
(defun conn-dialog (dbms sqlobjlist mess)

   (if (not (new_dialog "conn_dialog" DCL-ID))	; Initialize the dialog
	(exit))					; exit if this doesn't work

   (set_tile "ID_TEXT_NAME1" (car dbms))
   (set_tile "ID_TEXT_MSG1"  (cdr dbms))

   (set_tile "ID_TEXT_NAME2" (car sqlobjlist))
   (set_tile "ID_TEXT_MSG2" (cdr sqlobjlist))

   (set_tile "ID_TEXT_NAME3" (car mess))
   (set_tile "ID_TEXT_MSG3" (cdr mess))

   (action_tile
	"accept"
	"(done_dialog)"
   )

   (start_dialog)	; Display the dialog box
)
